Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	K Desktop Environment - Development Tools
Name:      	kdesdk
Version:	4.5.4
Release:	1
Provides:	kdesdk
License: 	LGPL
URL:		http://www.kde.org
Group:     	Graphical Desktop/KDE       
Source0: 	kdesdk-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:      i686
BuildRequires: 	libjpeg-devel libxml2-devel
BuildRequires:  neon-devel
BuildRequires:  libX11-devel
BuildRequires:  automoc4
BuildRequires:  phonon-devel
BuildRequires:  pulseaudio-libs-devel
BuildRequires:  redland-devel >= 1.0.10
BuildRequires:	boost-devel
BuildRequires:  kdebase-devel
BuildRequires:  kdebase-libs
BuildRequires:  soprano-devel
BuildRequires:	apr-util-devel

Icon: 		kde-icon.xpm

#Automatically resolved build dependencies
BuildRequires: apr-devel
BuildRequires: coreutils
BuildRequires: glibc-devel
BuildRequires: hunspell-devel
BuildRequires: kdelibs-devel
BuildRequires: kdepimlibs-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: perl
BuildRequires: perl-XML-DOM
BuildRequires: qt4-devel
BuildRequires: strigi-devel
BuildRequires: subversion-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: soprano-devel

%description
Various Development Tools

%package devel
Summary: 	Development files for kdesdk
Group:     	Graphical Desktop/KDE          
Requires: 	kdesdk = %{version}-%{release}

%description devel
Header files for developing applications using kdesdk.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n kdesdk-%{version}

%build
FLAGS="$RPM_OPT_FLAGS"
export CFLAGS="$FLAGS"
export CXXFLAGS="$FLAGS"
mkdir build
pushd build
cmake ../. -DCMAKE_INSTALL_PREFIX=%{_prefix} 
#-DBUILD_umbrello=off
make %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd build
make install DESTDIR=$RPM_BUILD_ROOT
popd

%files
%defattr(-,root,root)
%{_bindir}/
%{_datadir}/config
%{_datadir}/config.kcfg
%{_datadir}/applications/
%{_datadir}/doc/
%{_datadir}/dbus-1/
%{_datadir}/icons/
%{_datadir}/kde4/
%{_datadir}/strigi/
%{_libdir}/kde4/
%{_libdir}/strigi/
%{_libdir}/*.so.*
%{_mandir}
%exclude /usr/lib/libkateinterfaces.so
%exclude /usr/share/icons/hicolor/*/apps/kate.png
%{_datadir}/mime/packages/ktesnippets.xml

%files devel
%defattr(-,root,root)
%{_includedir}
%{_libdir}/*.so
%exclude /usr/lib/libkateinterfaces.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Dec 03 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.4-1
- Version Update
* Thu Nov 04 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.3-1
- Version Update
* Wed Oct 06 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.2-1
- Version Update
* Wed Sep 01 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.1-1
- Version Update
* Tue Aug 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.0-1
- Version Update
* Wed Jul 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.95-1
- Version Update
* Thu Jul 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.92-1
- Version Update - experimental package branch - rc2
* Tue Jun 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.90-1
- Version Update - experimental package branch - rc1
* Wed Jun 02 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.4-1
- Version Update
* Thu May 06 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.3-1
- Version Update
* Wed Mar 31 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.2-1
- Version Update
* Thu Mar 04 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.1-1
- Version Update
* Wed Feb 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.0-1
- Version Update
* Wed Dec 02 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.4-1
- Version Update
* Wed Nov 04 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.3-1
- Version Update
* Wed Oct 07 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.2-1
- Version Update
* Thu Sep 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.1-1
- Version Update
* Sat Aug 15 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.0-1
- Version update
* Thu Jun 04 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.4-1
- Version update
* Fri May 08 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.3-1
- Version update
* Fri Apr 03 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.2-1
- Version update
* Fri Mar 06 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.1-1
- Version update
* Fri Jan 23 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.0-1
- Version update
* Sat Dec 13 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.85-1
- version update
* Fri Nov 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.80-1
- version update
* Fri Oct 03 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.2-1
- Version update
* Sat Sep 06 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.1-1
- Version update
* Sun Feb 24 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.5.9-1
- Version update
* Sun Feb 17 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.5.8-4
- rebuilt against apr 1.2.12
* Sat Jan 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.5.8-3
- rebuilt against libstdc++ 1:4.1.2
* Fri Nov 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.5.8-2
- rebuilt against neon 0.27.2
* Tue Oct 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.5.8-1
- Version update
* Tue May 22 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.5.7-1
- Version update
* Sat Jan 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.5.6-1
- Version update
* Thu Oct 12 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.5.5-1
- Version update
* Thu Aug 03 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.5.4-1
- Version update
* Mon Apr 17 2006 Christian Metzen <metzench@ccux-linux.de> 3.5.2-1
- Version update
* Mon Feb 13 2006 Christian Metzen <metzench@ccux-linux.de> 3.5.1-1
- Version update
* Sat Jan 28 2006 Christian Metzen <metzench@ccux-linux.de> 3.5.0-3
- rebuilt against newest qt
* Sat Dec 24 2005 Christian Wasem <wasem@ccux-linux.de> 3.5.0-2
- Recompilation again perl 5.8.7
* Fri Dec 02 2005 Christian Metzen <metzench@ccux-linux.de> 3.5.0-1
- Version update
* Sat Nov 05 2005 Christian Metzen <metzench@ccux-linux.de> 3.4.3-1
- Version update
* Sun Jul 31 2005 Christian Metzen <metzench@ccux-linux.de> 3.4.2-1
- Version update
* Thu Jun 16 2005 Christian Metzen <metzench@ccux-linux.de> 3.4.1-1
- Version update to 3.4.1
* Sat Mar 26 2005 Christian Metzen <metzench@ccux-linux.de> 3.4.0-1
- Version update to 3.4.0
* Sat Feb 19 2005 Christian Metzen <metzench@ccux-linux.de> 3.3.2-2
- Recompilation again QT 3.3.4
* Mon Dec 20 2004 Christian Metzen <metzench@ccux-linux.de> 3.3.2-1
- Initial Release
